Subject: Re: [PATCH] Don't rely on unspecified behavior

From: Thomas Schwinge <[email-masked]>
Date: Sat, 28 Jul 2007 21:43:06 +0200

Hello!

On Sat, Jul 28, 2007 at 08:30:07PM +0100, Johannes Schindelin wrote:
> On Sat, 28 Jul 2007, Thomas Schwinge wrote:
> > Calling access(p, m) with p == NULL is not specified, so don't do that.  On
> > GNU/Hurd systems doing so will result in a SIGSEGV.
> > 
> > Signed-off-by: Thomas Schwinge <[email-masked]>
> > ---
> 
> Isn't this the same patch as you sent before?

As I wrote in <[email-masked]>: ``I noticed
that the patch I sent was prepared for an old version of the file.  I'll
send an updated patch that applies to the current revision.''

> > +		if (excludes_file != NULL && !access(excludes_file, R_OK))
> 
> We usually omit the "!= NULL"; see the other source code in git.git.

Okay, so I should sent a thusly modified version to get it applied?

Regards,
 Thomas